Changeset 3049


Ignore:
Timestamp:
Nov 1, 2013 11:14:33 AM (6 years ago)
Author:
stefan
Message:

sync with trunk

Location:
ThirdParty/ASL/stable/1.2
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/stable/1.2

  • ThirdParty/ASL/stable/1.2/configure

    r3013 r3049  
    2027020270
    2027120271
     20272# Check for ssize_t; we need to define NO_SSIZE_T if it's not present.
     20273
     20274  echo "$as_me:$LINENO: checking for ssize_t" >&5
     20275echo $ECHO_N "checking for ssize_t... $ECHO_C" >&6
     20276if test "${ac_cv_type_ssize_t+set}" = set; then
     20277  echo $ECHO_N "(cached) $ECHO_C" >&6
     20278else
     20279  cat >conftest.$ac_ext <<_ACEOF
     20280/* confdefs.h.  */
     20281_ACEOF
     20282cat confdefs.h >>conftest.$ac_ext
     20283cat >>conftest.$ac_ext <<_ACEOF
     20284/* end confdefs.h.  */
     20285$ac_includes_default
     20286int
     20287main ()
     20288{
     20289if ((ssize_t *) 0)
     20290  return 0;
     20291if (sizeof (ssize_t))
     20292  return 0;
     20293  ;
     20294  return 0;
     20295}
     20296_ACEOF
     20297rm -f conftest.$ac_objext
     20298if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     20299  (eval $ac_compile) 2>conftest.er1
     20300  ac_status=$?
     20301  grep -v '^ *+' conftest.er1 >conftest.err
     20302  rm -f conftest.er1
     20303  cat conftest.err >&5
     20304  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20305  (exit $ac_status); } &&
     20306         { ac_try='test -z "$ac_c_werror_flag"
     20307                         || test ! -s conftest.err'
     20308  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     20309  (eval $ac_try) 2>&5
     20310  ac_status=$?
     20311  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20312  (exit $ac_status); }; } &&
     20313         { ac_try='test -s conftest.$ac_objext'
     20314  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     20315  (eval $ac_try) 2>&5
     20316  ac_status=$?
     20317  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20318  (exit $ac_status); }; }; then
     20319  ac_cv_type_ssize_t=yes
     20320else
     20321  echo "$as_me: failed program was:" >&5
     20322sed 's/^/| /' conftest.$ac_ext >&5
     20323
     20324ac_cv_type_ssize_t=no
     20325fi
     20326rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     20327fi
     20328echo "$as_me:$LINENO: result: $ac_cv_type_ssize_t" >&5
     20329echo "${ECHO_T}$ac_cv_type_ssize_t" >&6
     20330if test $ac_cv_type_ssize_t = yes; then
     20331  :
     20332else
     20333  asladdcflags="$asladdcflags -DNO_SSIZE_T"
     20334fi
     20335
    2027220336
    2027320337# Check for dlopen, ASL uses it to load userdefined function libraries
  • ThirdParty/ASL/stable/1.2/configure.ac

    r3013 r3049  
    121121    [asladdcflags="$asladdcflags -DNO_LONG_LONG"],[])
    122122
     123# Check for ssize_t; we need to define NO_SSIZE_T if it's not present.
     124
     125  AC_CHECK_TYPE([ssize_t],[],
     126    [asladdcflags="$asladdcflags -DNO_SSIZE_T"],[])
    123127
    124128# Check for dlopen, ASL uses it to load userdefined function libraries
  • ThirdParty/ASL/stable/1.2/get.ASL

    r3010 r3049  
    3232else
    3333  echo
    34   echo "Failed, try downloading the source code from www.ampl.com..."
    35   if ! $wgetcmd http://www.ampl.com/netlib/ampl/solvers.tgz ;
     34  tryamplcom=1
     35  if test "$wgetcmd" = wget ;
    3636  then
    37     # Gus reported problems with the ASL tarball downloaded from sandia via his wget, so we give the coin-or server another chance first
    38     trysandia=1
    39     if test "$wgetcmd" = wget ;
     37    # the ASL tarball on ampl.com is changing over time, so we give the coin-or server another chance first
     38    echo -n "Failed, try downloading from https://projects.coin-or.org without certificate check? (y/n) "
     39    if test "$1" = "-y" ;
    4040    then
    41       echo -n "Failed, try downloading from https://projects.coin-or.org without certificate check? (y/n) "
    42       if test "$1" = "-y" ;
     41      doit=y
     42      echo y
     43    else
     44      read doit
     45      echo
     46    fi
     47    if test "$doit" = y ;
     48    then
     49      if $wgetcmd --no-check-certificate https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/src/$coinasl ;
    4350      then
    44         doit=y
    45         echo y
    46       else
    47         read doit
    48         echo
    49       fi
    50       if test "$doit" = y ;
    51       then
    52         if $wgetcmd --no-check-certificate https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/src/$coinasl ;
    53         then
    54           mv $coinasl solvers.tar
    55           trysandia=0
    56         fi
     51        mv $coinasl solvers.tar
     52        tryamplcom=0
    5753      fi
    5854    fi
    59     if test $trysandia = 1 ;
    60     then
    61       echo
    62       echo "Failed, try downloading the source code from netlib.sandia.gov..."
    63       rm -f netlibfiles.tar*
    64       $wgetcmd http://netlib.sandia.gov/cgi-bin/netlib/netlibfiles.tar?filename=netlib/ampl/solvers
    65       mv netlibfiles.tar* solvers.tar
    66     fi
    67   else
     55  fi
     56  if test $tryamplcom = 1 ;
     57  then
     58    echo
     59    echo "Failed, try downloading the source code from www.ampl.com..."
     60    $wgetcmd http://www.ampl.com/netlib/ampl/solvers.tgz ;
    6861    gunzip solvers.tgz
    6962  fi
Note: See TracChangeset for help on using the changeset viewer.